select
    an.numero as numero
    , an.nome as nome_resumido
    , an.regassocraca as rgd
    , (select grausangue from SP_CALCULAGRAUSANGUE(an.cdanimal)) as raca
    , lei1.dtleite as data_leite
    , lei1.PESOTOTAL as peso_total_leite
from
    leite lei1
    left join animal an on lei1.cdanimal=an.cdanimal
where   
    an.tipoanimal = 'A'
    and an.animalrebanho = '1'
    and an.DTBAIXA is null
-----*****SE VOC DESEJA ESPECIFICAR O PERODO DE INCIO DOS CONTROLES LEITEROS, EDITE A INFORMAO NA LINHA A SEGUIR *****-----
    and lei1.dtleite > '01/01/1900'
-----*****SE VOC DESEJA ESPECIFICAR O PERODO DE FIM DOS CONTROLES LEITEROS, EDITE A INFORMAO NA LINHA A SEGUIR *****-----
    and lei1.dtleite < '12/31/2900'
-----***** NO RETIRAR AS ASPAS SIMPLES DAS DATAS *****-----
-----***** INFORMAR As DATAS NO FORMATO MM/DD/AAAA *****-----
order by 1,5